[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [Qemu-devel] [PATCH v3 2/2] Add configure option --enable-pc-1-0-qemu-kvm



On 22 Sep 2014, at 16:44, Paolo Bonzini <pbonzini redhat com> wrote:

> time, RHEL7 did it.  Ubuntu didn't, and probably neither did Debian.
> 
> This patch singles out pc-1.0 just because it used to be the default in
> Ubuntu 12.04.  So basically it's making upstream carry the burden of a
> decision of the Ubuntu folks.  It's understandable that Alex disagrees
> with the decision, but nevertheless it's not something that upstream
> should agree with.
> 
> Also, another horse that has left the barn: it's already too late to
> apply this patch to upstream Ubuntu.  If you do that, any machine
> created with 12.04 and reused with 14.04 will fail to migrate to another
> 14.04 machine that includes this patch, as I understand it.
> 
> So as things stand, I don't see a reason to apply this patch upstream.

Well, Ubuntu (Serge I think) said in the Ubuntu bug report he'd
be quite willing to break migration of pc-1.0 machine types
from 14.04 to 14.04 because that machine type isn't the default
anyway on 14.04.

But that isn't the point, as the patch (as a whole) doesn't
break anything - it merely gives the possibility to import
pc-1.0 machines from qemu-kvm. That's useful even if you
build qemu from source every time.

Or were you just arguing against the ./configure option?

-- 
Alex Bligh





[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]